import { FirebirdAdapter, IFirebirdAdapter } from "./FirebirdAdapter";
import { createFirebirdQueryBuilder } from "./queryBuilder";

const createFirebirdAdapter = () => {
  return FirebirdAdapter.getInstance({
    queryBuilder: createFirebirdQueryBuilder(),
  });
};

export { IFirebirdAdapter, createFirebirdAdapter };

export * from "./FirebirdRepository";
